
#ifndef _SCROLL_H
  #define _SCROLL_H

  #ifdef __cplusplus
  extern "C" {
  #endif

//  #define SCROLL_MAXLINEUPDATE 32
//  #define SCROLL_MAXCOLUPDATE 30

  #define SCROLL_WALK_EXIT 0
  #define SCROLL_WALK_NEXT 1
  #define SCROLL_WALK_PREV 2

  #define SCROLL_NOLIMIT -1

  extern void SCROLL_init (void);
  extern void SCROLL_setLimit (int right, int down, int left, int up); // = -1, = -1, = -1, = -1
  extern void SCROLL_setMap (void *LevMap, int MapLenX, int MapLenY);
  extern int SCROLL_setSpr (void *LevSpr, int SprSizeX, int SprSizeY);
  extern void SCROLL_redraw (int NewMapX, int NewMapY,
			int NewMapXShift, int NewMapYShift); // = -1, = -1, = -1, = -1
  extern void SCROLL_setMask (void *MaskMap, void *MaskSpr);
  extern int SCROLL_update (int x, int y);
  extern void SCROLL_flush (void);
  extern void SCROLL_done (void);
  extern int SCROLL_walk (void);

  #ifdef __cplusplus
  }
  #endif

#endif
